- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_vrouter – CLI command to create/delete/modify a vrouter

- DEPRECATED

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.12

Why

  Doesn’t support latest Pluribus Networks netvisor

Alternative

  Latest modules will be pushed in Ansible future versions.

## Synopsis

- Execute vrouter-create, vrouter-delete, vrouter-modify command.

- Each fabric, cluster, standalone switch, or virtual network (VNET) can provide its tenants with a virtual router (vRouter) service that forwards traffic between networks and implements Layer 3 protocols.

- `vrouter-create` creates a new vRouter service.

- `vrouter-delete` deletes a vRouter service.

- `vrouter-modify` modifies a vRouter service.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_bgp_as - |  | Specify the Autonomous System Number(ASN) if the vRouter runs Border Gateway Protocol(BGP).
pn_bgp_max_paths - |  | Specify the maximum number of paths for BGP. This is a number between 1 and 255 or 0 to unset.
pn_bgp_options - |  | Specify other BGP options as a whitespaces separated string within single quotes ''.
pn_bgp_redistribute - | Choices: static connected rip ospf | Specify how BGP routes are redistributed.
pn_clipassword - |  | Provide login password if user is not root.
pn_cliswitch - | Default: "local" | Target switch(es) to run the CLI on.
pn_cliusername - |  | Provide login username if user is not root.
pn_hw_vrrp_id - |  | Specifies the VRRP ID for a hardware vrouter.
pn_name - / required |  | Specify the name of the vRouter.
pn_ospf_options - |  | Specify other OSPF options as a whitespaces separated string within single quotes ''.
pn_ospf_redistribute - | Choices: static connected bgp rip | Specify how OSPF routes are redistributed.
pn_rip_redistribute - | Choices: static connected ospf bgp | Specify how RIP routes are redistributed.
pn_router_id - |  | Specify the vRouter IP address.
pn_router_type - | Choices: hardware software | Specify if the vRouter uses software or hardware. Note that if you specify hardware as router type, you cannot assign IP addresses using DHCP. You must specify a static IP address.
pn_service_state - | Choices: enable disable | Specify to enable or disable vRouter service.
pn_service_type - | Choices: dedicated shared | Specify if the vRouter is a dedicated or shared VNET service.
pn_vnet - |  | Specify the name of the VNET. Required for vrouter-create.
pn_vrrp_track_port - |  | Specify list of ports and port ranges.
state - / required | Choices: present absent update | State the action to perform. Use 'present' to create vrouter, 'absent' to delete vrouter and 'update' to modify vrouter.

## Examples

    - name: create vrouter
      pn_vrouter:
        state: 'present'
        pn_name: 'ansible-vrouter'
        pn_vnet: 'ansible-fab-global'
        pn_router_id: 208.74.182.1

    - name: delete vrouter
      pn_vrouter:
        state: 'absent'
        pn_name: 'ansible-vrouter'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | Indicates whether the CLI caused changes on the target.
command string | always | The CLI command run on the target node(s).
stderr list | on error | The set of error responses from the vrouter command.
stdout list | always | The set of responses from the vrouter command.

## Status

- This module will be removed in version 2.12. [deprecated]

- For more information see DEPRECATED.

### Authors

- Pluribus Networks (@amitsi)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.